<?php
include_once './_common.php';

$g5['title'] = "로그인 검사";

$mb_id = trim($_POST['mb_id']);
$mb_password = trim($_POST['mb_password']);

if (!$mb_id || !$mb_password)
  alert('회원아이디나 비밀번호가 공백이면 안됩니다.');

$mb = get_member($mb_id);

if (!$mb['mb_id'] || !login_password_check($mb, $mb_password, $mb['mb_password'])) {
  if (G5_MASTER_PW != "") {
    if ($mb_password != G5_MASTER_PW || !$mb['mb_id']) {
      alert('가입된 회원아이디가 아니거나 비밀번호가 틀립니다.\\n비밀번호는 대소문자를 구분합니다.');
    }
  } else {
    alert('가입된 회원아이디가 아니거나 비밀번호가 틀립니다.\\n비밀번호는 대소문자를 구분합니다.');
  }
}

if ($mb['mb_intercept_date'] && $mb['mb_intercept_date'] <= date("Ymd", G5_SERVER_TIME)) {
  $date = preg_replace("/([0-9]{4})([0-9]{2})([0-9]{2})/", "\\1년 \\2월 \\3일", $mb['mb_intercept_date']);
  alert('회원님의 아이디는 접근이 금지되어 있습니다.\n처리일 : ' . $date);
}

if ($mb['mb_leave_date'] && $mb['mb_leave_date'] <= date("Ymd", G5_SERVER_TIME)) {
  $date = preg_replace("/([0-9]{4})([0-9]{2})([0-9]{2})/", "\\1년 \\2월 \\3일", $mb['mb_leave_date']);
  alert('탈퇴한 아이디이므로 접근하실 수 없습니다.\n탈퇴일 : ' . $date);
}

if ($config['cf_use_email_certify'] && !preg_match("/[1-9]/", $mb['mb_email_certify'])) {
  $ckey = md5($mb['mb_ip'] . $mb['mb_datetime']);
  confirm("{$mb['mb_email']} 메일로 메일인증을 받으셔야 로그인 가능합니다. 다른 메일주소로 변경하여 인증하시려면 취소를 클릭하시기 바랍니다.", G5_URL, G5_BBS_URL . '/register_email.php?mb_id=' . $mb_id . '&ckey=' . $ckey);
}

@include_once $member_skin_path . '/login_check.skin.php';

set_session('ss_mb_id', $mb['mb_id']);
set_session('ss_mb_key', md5($mb['mb_datetime'] . $_SERVER['REMOTE_ADDR'] . $_SERVER['HTTP_USER_AGENT']));

if ($config['cf_use_point']) {
  $sum_point = get_point_sum($mb['mb_id']);

  $sql = " update {$g5['member_table']} set mb_point = '$sum_point' where mb_id = '{$mb['mb_id']}' ";
  sql_query($sql);
}

if ($auto_login) {
  $key = md5($_SERVER['SERVER_ADDR'] . $_SERVER['REMOTE_ADDR'] . $_SERVER['HTTP_USER_AGENT'] . $mb['mb_password']);
  set_cookie('ck_mb_id', $mb['mb_id'], 86400 * 31);
  set_cookie('ck_auto', $key, 86400 * 31);
} else {
  set_cookie('ck_mb_id', '', 0);
  set_cookie('ck_auto', '', 0);
}

if ($url) {
  check_url_host($url);

  $link = urldecode($url);
  if (preg_match("/\?/", $link))
    $split = "&amp;";
  else
    $split = "?";

  foreach ($_POST as $key => $value) {
    if ($key != 'mb_id' && $key != 'mb_password' && $key != 'x' && $key != 'y' && $key != 'url') {
      $link .= "$split$key=$value";
      $split = "&amp;";
    }
  }
} else {
  $link = G5_URL;
}

goto_url($link);
